
'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactUikitBase = require('react-uikit-base');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Progress = function Progress(props) {
  // CSS classes
  var cssClassNames = _reactUikitBase.helpers.cleanClasses(['uk-progress', props.classes, props.context ? 'uk-progress-' + props.context : null, props.size ? 'uk-progress-' + props.size : null, props.striped ? 'uk-progress-striped' : null, props.className]);

  // Remove non valid html attributes
  var ignoreProps = ['bar', 'children', 'classes', 'context', 'kitid', 'size', 'striped'];

  var cleanProps = _reactUikitBase.helpers.cleanProps(ignoreProps)(_extends({}, props, {
    bar: null
  }));

  var bar = props.bar ? props.bar + '%' : '0%';

  // Return Component
  return _react2.default.createElement(
    'div',
    _extends({}, cleanProps, (0, _reactUikitBase.events)(props), {
      className: cssClassNames,
      'data-kitid': props.kitid
    }),
    _react2.default.createElement(
      'div',
      {
        className: 'uk-progress-bar',
        style: _extends({}, props.style, { width: bar })
      },
      bar
    )
  );
};

Progress.propTypes = {
  bar: _react2.default.PropTypes.number,
  children: _react2.default.PropTypes.any,
  classes: _react2.default.PropTypes.array,
  className: _react2.default.PropTypes.string,
  context: _react2.default.PropTypes.oneOf(['danger', 'success', 'warning']),
  kitid: _react2.default.PropTypes.string,
  size: _react2.default.PropTypes.oneOf(['mini', 'small']),
  striped: _react2.default.PropTypes.bool,
  style: _react2.default.PropTypes.object
};

exports.default = (0, _reactUikitBase.base)(Progress);